Drop GSI/GridFTP reqs from osg-wn-client

Description

The following can be dropped:

  • myproxy

  • voms-clients-cpp

  • uberftp

  • globus-gass-copy-progs

  • globus-xio-udt-driver

  • gfal2-plugin-gridftp

  • gsi-openssh-clients

Please also check if the CGSI-gSOAP req is still necessary

Current 3.5 requirements:

Freshdesk Tickets

None

Activity

Show:
Brian Lin
February 26, 2021, 10:45 PM
Edited

The first build was still pulling in Globus and CGSI-gSOAP. Test results look good here: https://osg-sw-submit.chtc.wisc.edu/tests/20210226-1607/results.html

Promotions
Promoted osg-wn-client-3.6-3 to osg-3.6-el*-testing, osg-3.6-el*-prerelease

Build

Tag

osg-wn-client-3.6-3.osg36.el7

osg-3.6-el7-prerelease

osg-wn-client-3.6-3.osg36.el7

osg-3.6-el7-testing

osg-wn-client-3.6-3.osg36.el8

osg-3.6-el8-prerelease

osg-wn-client-3.6-3.osg36.el8

osg-3.6-el8-testing

Brian Lin
February 25, 2021, 6:21 PM
Edited

Promotions
Promoted osg-wn-client-3.6-1 to osg-3.6-el*-testing, osg-3.6-el*-prerelease

Build

Tag

osg-wn-client-3.6-1.osg36.el7

osg-3.6-el7-prerelease

osg-wn-client-3.6-1.osg36.el7

osg-3.6-el7-testing

osg-wn-client-3.6-1.osg36.el8

osg-3.6-el8-prerelease

osg-wn-client-3.6-1.osg36.el8

osg-3.6-el8-testing

Brian Lin
February 17, 2021, 4:50 PM

In that case, it sounds to me like we could drop our explicit requirement, especially if gfal2-plugin-srm brings it in if it truly needs it.

Carl Edquist
February 17, 2021, 4:27 PM

Can we rely on EPEL for it?

In case this is what you mean, i have no idea what epel's future plans are for continuing to provide CGSI-gSOAP or not.

Carl Edquist
February 17, 2021, 4:26 PM

CGSI-gSOAP comes directly from epel. (We haven't built it since osg32.)

Fixed

Assignee

Tim Theisen

Reporter

Brian Lin

Priority

Critical

Fix versions

Labels

None

Components

None

Due date

None